Bug 839140 - The haproxy-1.4 cartridge's status is always "SUCESS"
The haproxy-1.4 cartridge's status is always "SUCESS"
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 01:36 EDT by shjiang
Modified: 2015-05-14 18:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:42:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shjiang 2012-07-11 01:36:34 EDT
Description of problem:
The haproxy-1.4 cartridge's status is always "SUCESS" no matter how I change the cartridge status by "Start"/"Stop"/"Restart".
I cannot figure out the detail state of haproxy-1.4 after starting or stopping the haproxy-1.4.

Version-Release number of selected component (if applicable):
devenv_1884

How reproducible:
always

Steps to Reproduce:
1.create an app embeded haproxy-1.4 cartridge;
2.check the haproxy-1.4 cartridge status by rhc app cartridge status;
3.check the output of step 2.
  
Actual results:
[root@jsq eap6demo]# rhc app cartridge stop -a eap6demo -c  haproxy-1.4  -p redhat

RESULT:
Success

Expected results:
the result may print out like:
RESULT:
"The haproxy-1.4 is enable" for starting/restarting the haproxy-1.4 cartridge or
"The haproxy-1.4 is disable" for stopping the haproxy-1.4 cartridge

Additional info:
[root@jsq eap6demo]# rhc app cartridge stop -a eap6demo -c  haproxy-1.4  -p redhat

RESULT:
Success

[root@jsq eap6demo]# rhc app cartridge status -a eap6demo -c  haproxy-1.4  -p redhat

RESULT:
Success
Comment 1 Ram Ranganathan 2012-07-18 17:35:37 EDT
I'll add the status message to the haproxy cart.

Just as an fyi, if there is no message, then SUCCESS/FAILED indicates whether or not the operation succeeded/failed.  And you should be able to find the state by running "status" -- will show you Application stoppped/inaccessible if its stopped and should give you status (total accesses, uptime, load etc) if its running. 

BTW, this showing success/failed is also the case for a lot more cartridges added to an app.
Comment 2 Ram Ranganathan 2012-07-19 17:26:25 EDT
Fixed with crankcase pull request 250  -- merge commit id: 870fb89901b7b623e466cad933b913d6821e6831
Comment 3 shjiang 2012-07-20 05:56:50 EDT
The bug is fixed on devenv_1904

Test results:
[root@jsq .openshift]# rhc app cartridge stop -a php -c haproxy-1.4 -p xx

RESULT:
HAProxy instance is stopped

[root@jsq .openshift]# rhc app cartridge start -a php -c haproxy-1.4 -p xx

RESULT:
HAProxy instance is started

[root@jsq .openshift]# rhc app cartridge restart -a php -c haproxy-1.4 -p xx

RESULT:
Restarted HAProxy instance
[root@jsq .openshift]# rhc app cartridge reload -a php -c haproxy-1.4 -p xx
RESULT:
Reloaded HAProxy instance

[root@jsq .openshift]# rhc app cartridge status -a php -c haproxy-1.4 -p xx

RESULT:
HAProxy instance is running

Note You need to log in before you can comment on or make changes to this bug.